Get a billing portal link
curl --request POST \
--url https://intentleads.si/api/v1/billing/portal \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://intentleads.si/api/v1/billing/portal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/billing/portal"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"url": "https://billing.example.com/session/c41d7e90"
}{
"error": "unauthorized",
"message": "Send a valid API key as: Authorization: Bearer il_live_…"
}{
"error": "admin_key_required",
"message": "This needs an admin API key. Owners can create one on the API and CLI page."
}{
"error": "no_billing_account",
"message": "Invoices for your plan come from your DBEE contact."
}{
"error": "internal_error",
"message": "Something went wrong. Try again."
}{
"error": "billing_failed",
"message": "The payment provider didn't accept that. Try again, or ask your DBEE contact."
}{
"error": "billing_not_configured",
"message": "Online payment isn't set up yet. Ask your DBEE contact."
}Get a billing portal link
A short-lived link to the billing portal, where an owner can see and download invoices, change the card or cancel. Only for plans paid by card; plans invoiced by DBEE get 409 no_billing_account.
Admin key required. Standard keys get 403 admin_key_required.
Free. This doesn’t use any contacts from your plan.
POST
/
api
/
v1
/
billing
/
portal
Get a billing portal link
curl --request POST \
--url https://intentleads.si/api/v1/billing/portal \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://intentleads.si/api/v1/billing/portal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/billing/portal"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"url": "https://billing.example.com/session/c41d7e90"
}{
"error": "unauthorized",
"message": "Send a valid API key as: Authorization: Bearer il_live_…"
}{
"error": "admin_key_required",
"message": "This needs an admin API key. Owners can create one on the API and CLI page."
}{
"error": "no_billing_account",
"message": "Invoices for your plan come from your DBEE contact."
}{
"error": "internal_error",
"message": "Something went wrong. Try again."
}{
"error": "billing_failed",
"message": "The payment provider didn't accept that. Try again, or ask your DBEE contact."
}{
"error": "billing_not_configured",
"message": "Online payment isn't set up yet. Ask your DBEE contact."
}